Models
Start a pending upload
Initiates a new pending upload or retrieves an existing one for the specified model version.
Abfrageparameter
api-version
string
Erforderlich
The API version to use for this operation.
Headerparameter
Foundry-Features
enum
Erforderlich
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Pfadparameter
name
string
Erforderlich
Name of the model.
version
string
Erforderlich
Version of the model.
Anforderungstext
The pending upload request request body.
pendingUploadId
string
If PendingUploadId is not provided, a random GUID will be used.
connectionName
string
Azure Storage Account connection name to use for generating temporary SAS token
pendingUploadType
enum
Erforderlich
The type of pending upload. Only TemporaryBlobReference is supported for models.
Antworten
The request has succeeded.
Text
blobReference
BlobReference
Erforderlich
Blob reference details.
blobUri
string
Erforderlich
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
Erforderlich
ARM ID of the storage account to use.
credential
SasCredential
Erforderlich
SAS Credential definition
sasUri
string
Erforderlich
SAS uri
type
enum
Erforderlich
Type of credential
pendingUploadId
string
Erforderlich
ID for this upload request.
version
string
Version of asset to be created if user did not specify version when initially creating upload
pendingUploadType
enum
Erforderlich
The type of pending upload. Only TemporaryBlobReference is supported for models.
Anfordern
POST /models/{name}/versions/{version}/startPendingUpload HTTP/1.1
Antwort
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json